> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update secret environment override value

> Sets or removes an environment-specific override for a secret. Pass `null` as the value to delete the override. Use `versionVariant` to target the draft or published version of the environment.



## OpenAPI

````yaml /specs/realtime/openapi.public.json patch /v1/secrets-management/projects/{projectID}/environments/{projectEnvironmentIDOrAlias}/secrets/{secretName}
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
paths:
  /v1/secrets-management/projects/{projectID}/environments/{projectEnvironmentIDOrAlias}/secrets/{secretName}:
    patch:
      tags:
        - SecretsManagementPublicApi
        - Public-Docs
      summary: Update secret environment override value
      description: >-
        Sets or removes an environment-specific override for a secret. Pass
        `null` as the value to delete the override. Use `versionVariant` to
        target the draft or published version of the environment.
      operationId: SecretPublicHTTPController_patchOverrideValue
      parameters:
        - name: projectID
          required: true
          in: path
          schema:
            type: string
        - name: projectEnvironmentIDOrAlias
          required: true
          in: path
          description: >-
            The ID or alias of the environment to target (ie. `main`). You can
            find this in the environments page of your agent.


            > **💡 Tip:** [Learn more about
            Environments](/documentation/deploy/environments).
          schema:
            type: string
        - name: secretName
          required: true
          in: path
          schema:
            type: string
        - name: versionVariant
          required: false
          in: query
          schema:
            allOf:
              - $ref: '#/components/schemas/VersionVariant'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchOverrideValueRequest'
      responses:
        '200':
          description: ''
      security:
        - auth: []
components:
  schemas:
    VersionVariant:
      type: string
      enum:
        - draft
        - published
      x-enumNames:
        - DRAFT
        - PUBLISHED
    PatchOverrideValueRequest:
      type: object
      properties:
        value:
          nullable: true
          type: string
      required:
        - value
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````